Get feature flag

Retrieves the feature flag.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Access requirements

The Authorization Bearer (Admin API Key authorizing the request) must have one of the following roles and scopes:

Admin API Key roles accepted

  • API_ALL_GRANTED
  • API_FEATURE_FLAG_VIEWER
  • API_FEATURE_FLAG_EDITOR

Admin API Key scopes accepted

  • GLOBAL
  • WORKSPACE

To learn more about Admin API Key roles and scopes, see API keys overview.


JSON Received

{
  "name": "string",
  "description": "string",
  "trafficType": {
    "id": "string",
    "name": "string"
  },
  "creationTime": Number, // Milliseconds since epoch
  "id": "string", // Feature flag ID
  "tags": [
    {
      "name": "string"
    }
  ],
  "rolloutStatus": {
    "id": "string",
    "name": "string"
  },
  "owners": [
    {
      "id": "string",
      "type": "string"
    }
  ],
  "rolloutStatusTimestamp": Number // Milliseconds since epoch
}

Path Params
string
required

The ID of the project (workspace) to get the feature flag from. After migration to Harness, get this value using the Get Projects (Workspaces) endpoint and the Harness project name.

string
required

The case-sensitive name of the feature flag

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json